Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
 

short edges and BRepBuilderAPI_MakeWire

short edges and BRepBuilderAPI_MakeWire
Hennig 2012/11/28 11:47
hello together,

i have some problems with the BRepBuilderAPI_MakeWire. I import a step file and connect some edges to a wire. This works well until i want to add a edge which is only 0.5 mm. Then i get a BRepBuilderAPI_WireError number 2: BRepBuilderAPI_DisconnectedWire.

But when i display the edges via OCC or in catia i can see that they are connected. So i think the problem depend on some tolerance settings? But how to show or change them?

Some ideas? Thanks in advance.
Paul
Hennig 2012/11/30 17:43
i found the reason....

The BRepBuilderAPI_MakeWire::Add() uses the function BRepLib_MakeWire::Add() from BRepLib_MakeWire.cxx

They check if the distance between the vertex from the existing wire and the vertex from the edge to be add, is smaller then the tolerance of the vertices.
In may case the distance was 1.6e-07 and the tolerance of the vertices 1.0e-07. I solved the problem using ShapeFix_ShapeTolerance::SetTolerance(myShape, 1.0e-06, TopAbs_VERTEX ).

Is this the best way? Somebody who made the same experience?


 
 
Latest news
  • Open CASCADE Technology 6.8.0 is available for download!
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map